<?php get_header();

			/* Translation */			
			$brnhmbx_tra_SearchResults = esc_html__( 'Search Results', 'metz' );
			$brnhmbx_tra_Category = esc_html__( 'Category', 'metz' );
			$brnhmbx_tra_Tag = esc_html__( 'Tag', 'metz' );
			$brnhmbx_tra_Author = esc_html__( 'Author', 'metz' );
			$brnhmbx_tra_Archives = esc_html__( 'Archives', 'metz' );
			$brnhmbx_tra_Nothing = esc_html__( 'NOTHING FOUND', 'metz' );
			
			if ( get_theme_mod( 'metz_ignorePot', 1 ) ) {
				
			$brnhmbx_tra_SearchResults = get_theme_mod( 'brnhmbx_tra_SearchResults', 'Search Results' );
			$brnhmbx_tra_Category = get_theme_mod( 'brnhmbx_tra_Category', 'Category' );
			$brnhmbx_tra_Tag = get_theme_mod( 'brnhmbx_tra_Tag', 'Tag' );
			$brnhmbx_tra_Author = get_theme_mod( 'brnhmbx_tra_Author', 'Author' );
			$brnhmbx_tra_Archives = get_theme_mod( 'brnhmbx_tra_Archives', 'Archives' );
			$brnhmbx_tra_Nothing = get_theme_mod( 'brnhmbx_tra_Nothing', 'NOTHING FOUND' );
			
			}
			/* */
			
			/* Radio Default Values */
			$brnhmbx_opt_Layout = get_theme_mod( 'brnhmbx_opt_Layout_Archive', '2col_sidebar' );
			/* */
			
			$brnhmbx_pageHeader = '';
			
			if ( is_search() ) {
			
				$brnhmbx_pageHeader = $brnhmbx_tra_SearchResults . ' / ' . esc_html( get_search_query( false ) );
				
			} else if ( is_category() ) {
				
				$brnhmbx_pageHeader = single_cat_title( $brnhmbx_tra_Category . ' / ', false );
				
			} else if ( is_tag() ) {
				
				$brnhmbx_pageHeader = single_tag_title( $brnhmbx_tra_Tag . ' / ', false );
				
			} else if ( is_author() ) {
				
				the_post();
				$brnhmbx_pageHeader =  $brnhmbx_tra_Author . ' / ' . get_the_author();
				rewind_posts();
				
			} else if ( is_day() ) {
				
				$brnhmbx_pageHeader =  $brnhmbx_tra_Archives . ' / ' . get_the_date();
				
			} else if ( is_month() ) {
				
				$brnhmbx_pageHeader =  $brnhmbx_tra_Archives . ' / ' . get_the_date( 'F Y' );
				
			} else if ( is_year() ) {
				
				$brnhmbx_pageHeader =  $brnhmbx_tra_Archives . ' / ' . get_the_date( 'Y' );
				
			} else {
				
				$brnhmbx_pageHeader =  $brnhmbx_tra_Archives;
			
			}
			
			?>
			
			<!-- filter bar -->
			<div class="filter-bar">
				<div class="filter-bar-inner">
					<div class="filter-bar-content fs22 playfair"><?php echo esc_attr( $brnhmbx_pageHeader ); ?></div>
				</div>
			</div><!-- /filter bar -->
			
			<!-- wrapper -->
            <div class="wrapper clearfix">
        
            <?php
    
			$brnhmbx_counter = 0;
    
            if ( have_posts() ) :
                while ( have_posts() ) : the_post();
                
                if ( $brnhmbx_opt_Layout == '2col' || $brnhmbx_opt_Layout == '2col_sidebar' ) {
                    
                    // Open & close row in every 2 entries for 2 columns layout
                        
                    if ( $brnhmbx_counter % 2 == 0 ) { ?>
                    
                        <!-- row -->
                        <div class="row-1-2 clearfix">
                    
                <?php }
                            
                    get_template_part( 'content', get_post_format() );
                    $brnhmbx_counter += 1;
                            
                    if ( $brnhmbx_counter % 2 == 0 || $brnhmbx_counter == $wp_query->post_count ) { ?>
                    
                        </div><!-- /row -->
                                    
                <?php }
                
                } else if ( $brnhmbx_opt_Layout == '1_2col_sidebar' ) {
                        
					// Open & close row for the first entry and then in every 2 entries for 1 + 2 columns layout
					
					if ( $brnhmbx_counter == 0 ) { ?>
					
						<!-- row -->
						<div class="row-1-1-2 clearfix">
						
					<?php } else {
						
						if ( $brnhmbx_counter % 2 == 1 ) { ?>
						
							<!-- row -->
							<div class="row-1-2 clearfix">
						
					<?php }
				
					}
							
					get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;
							
					if ( $brnhmbx_counter == 1 || $brnhmbx_counter % 2 == 1 || $brnhmbx_counter == $wp_query->post_count ) { ?>
					
						</div><!-- /row -->
									
				<?php }
				
				} else if ( $brnhmbx_opt_Layout == '3col' ) {
                    
                    // Open & close row in every 3 entries for 3 columns layout
                        
                    if ( $brnhmbx_counter % 3 == 0 ) { ?>
                    
                        <!-- row -->
                        <div class="row-1-3 clearfix">
                    
                <?php }
                            
                    get_template_part( 'content', get_post_format() );
                    $brnhmbx_counter += 1;
                            
                    if ( $brnhmbx_counter % 3 == 0 || $brnhmbx_counter == $wp_query->post_count ) { ?>
                    
                        </div><!-- /row -->
                                    
                <?php }
                
                } else if ( $brnhmbx_opt_Layout == '2_3col' ) {
                        
					// Open & close row for the first 2 entries and then in every 3 entries for 3 columns layout
					
					if ( $brnhmbx_counter == 0 ) { ?>
					
						<!-- row -->
						<div class="row-2-3 clearfix">
						
					<?php } else {
						
					if ( $brnhmbx_counter % 3 == 2 ) { ?>
					
						<!-- row -->
						<div class="row-1-3 clearfix">
					
				<?php }
				
					}
							
					get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;
							
					if ( $brnhmbx_counter == 2 || $brnhmbx_counter % 3 == 2 || $brnhmbx_counter == $wp_query->post_count ) { ?>
					
						</div><!-- /row -->
									
				<?php }
				
				} else {
                    
                    get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;                    

                }
				                
                endwhile;
                
                else :
				
					echo '<div class="clearfix zig-zag mb20"><div class="playfair fs22 nothing-found">' . esc_attr( $brnhmbx_tra_Nothing ) . '.</div></div>';
                
                endif;
                
                ?>
            
            </div><!-- /wrapper -->
			
			<?php metz_Pagination(); ?>
		
		</div><!-- /site-content -->
		
		<!-- sidebar -->
		
		<?php
                    
            if ( $brnhmbx_opt_Layout == '1col_sidebar' || $brnhmbx_opt_Layout == '2col_sidebar' || $brnhmbx_opt_Layout == '1_2col_sidebar' ) {
    
                if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Archive' ) ) {
						
					echo '<div class="sidebar clearfix">';    
						dynamic_sidebar( 'brnhmbx_sidebar_archive' );                        
					echo '</div>';
						
				} else {
	
					get_sidebar();
					
				}
                        
            }
                
        ?>
		
		<!-- /sidebar -->
	
	</div><!-- /main-container -->
    
</div><!-- main-container-outer -->
            
<?php get_footer(); ?>