<?php

/* Checkbox Default Values */
$brnhmbx_sh_FeaImg_Single_Standard = get_theme_mod( 'brnhmbx_sh_FeaImg_Single_Standard', 1 );
$brnhmbx_sh_Teaser = get_theme_mod( 'brnhmbx_sh_Teaser', 1 );
$brnhmbx_ignoreExcerpt_Standard = get_theme_mod( 'brnhmbx_ignoreExcerpt_Standard', 0 );
$brnhmbx_ignoreExcerpt_Standard_Archive = get_theme_mod( 'brnhmbx_ignoreExcerpt_Standard_Archive', 0 );
/* */

/* Radio Default Values */
$brnhmbx_opt_FeaImg_Standard = get_theme_mod( 'brnhmbx_opt_FeaImg_Standard', 'fea' );
$brnhmbx_opt_HomeImg_Standard = get_theme_mod( 'brnhmbx_opt_HomeImg_Standard', 'home' );
/* */

$brnhmbx_minHeight_styleA = get_theme_mod( 'brnhmbx_minHeight_styleA', 0 );
$brnhmbx_minHeight_styleDefault = get_theme_mod( 'brnhmbx_minHeight_styleDefault', 0 );

?>

<div<?php if ( !is_single() ) { echo ' class="clearfix ' . metz_applyColumns() . '"'; } ?>>

    <div <?php post_class(); ?>>

        <article class="post zig-zag clearfix">

            <div class="article-outer<?php echo metz_applyLayout(); ?>">
                <div class="article-inner" <?php if ( !is_single() ) { if ( metz_checkStyle_A() ) { if ( $brnhmbx_minHeight_styleA ) { echo 'style="min-height: ' . esc_attr( $brnhmbx_minHeight_styleA ) . 'px;"'; } } else if ( !metz_checkStyle_B() && $brnhmbx_minHeight_styleDefault ) { echo 'style="min-height: ' . esc_attr( $brnhmbx_minHeight_styleDefault ) . 'px;"'; } } ?>>
                    <div class="article-container clearfix">

                    	<?php if ( !is_single() && !metz_checkStyle_B() ) { get_template_part( 'datebar' ); }

						if ( metz_checkStyle_B() ) { ?>

                            <div class="post-styleB">
                                <a href="<?php esc_url( the_permalink() ); ?>">
                                    <div class="post-styleB-inner clearfix">
                                        <?php if ( has_post_thumbnail() && $brnhmbx_opt_FeaImg_Standard == 'fea' ) { ?><div class="post-styleB-img"><?php echo the_post_thumbnail( 'page-navigation-thumbnail' ); ?></div><?php } ?>
                                        <div class="post-styleB-info <?php if ( has_post_thumbnail() && $brnhmbx_opt_FeaImg_Standard == 'fea' ) { echo 'post-styleB-info-with-t'; } ?>">
                                            <div class="table-cell-middle"><span class="fs22 playfair"><?php the_title(); ?></span></div>
                                        </div>
                                    </div>
                                </a>
                            </div>

                        <?php }

						if ( is_single() ) {

							if ( get_the_title() ) {

								echo '<h1 class="';
								if ( is_single() ) { echo 'fs85'; } else { if ( metz_checkStyle_B() ) { echo 'fs22'; } else { echo 'fs40'; } }
								echo ' playfair chief-hdr">';

							}

							get_template_part( 'titlebar' );

						}

						if ( !metz_checkStyle_B() ) { ?>

                            <div class="<?php if ( !is_single() ) { echo 'fea-image-home'; } else { echo 'fea-image'; } ?>">

                                <?php

                                if ( is_single() ) {

                                    if ( $brnhmbx_sh_FeaImg_Single_Standard ) {

                                        the_post_thumbnail();

                                    }

                                } else {

                                    if ( $brnhmbx_opt_FeaImg_Standard == 'fea' ) { ?>

                                        <a href="<?php esc_url( the_permalink() ); ?>"><?php if ( $brnhmbx_opt_HomeImg_Standard == 'home' ) { the_post_thumbnail( 'home-thumbnail' ); } else { the_post_thumbnail(); } ?></a>

                                <?php }

                                } ?>

                            </div>

                        <?php }

						if ( is_sticky() && is_home() && !is_paged() ) {

							echo '<div class="sticky-icon"><i class="fa fa-bookmark-o"></i></div>';

						}

						if ( has_excerpt() && is_single() && $brnhmbx_sh_Teaser ) { ?><div class="fs20 playfair excerpt-teaser"><?php echo get_the_excerpt(); ?></div><?php }
						if ( !is_single() && !metz_checkStyle_B() ) {

							if ( get_the_title() ) {

								echo '<h1 class="';
								if ( is_single() ) { echo 'fs85'; } else { if ( metz_checkStyle_B() ) { echo 'fs22'; } else { echo 'fs40'; } }
								echo ' playfair chief-hdr">';

							}

							get_template_part( 'titlebar' );

						}

						if ( is_single() ) { get_template_part( 'datebar' ); }

						if ( is_single() || ( is_home() && $brnhmbx_ignoreExcerpt_Standard ) || ( !is_home() && $brnhmbx_ignoreExcerpt_Standard_Archive ) ) {

							echo '<div class="fs14 arial the-content ';
							if ( !is_single() ) { echo 'home-content-padding'; }
							echo 'clearfix">';
							the_content();
							echo '</div>';

						} else {

							if ( !metz_checkStyle_A() && !metz_checkStyle_B() ) {

								echo metz_appendMoreButton();

							}

						}

						?>

                    </div>

                    <?php if ( !metz_checkStyle_B() ) { get_template_part( 'socialbar' ); } ?>

                </div>
            </div>

        </article>

	</div>

</div>
