<?php get_header();

			/* Translation */
			$brnhmbx_tra_Nothing = esc_html__( 'NOTHING FOUND', 'metz' );

			if ( get_theme_mod( 'metz_ignorePot', 1 ) ) {

			$brnhmbx_tra_Nothing = get_theme_mod( 'brnhmbx_tra_Nothing', 'NOTHING FOUND' );

			}
			/* */

			/* Radio Default Values */
			$brnhmbx_opt_Layout = get_theme_mod( 'brnhmbx_opt_Layout', '2col_sidebar' );
			/* */

			?>

            <?php

			ob_start( 'metz_compress' );

			if ( is_active_sidebar( 'brnhmbx_upper_widgets' ) && is_home() && get_theme_mod( 'brnhmbx_sh_UpperWidgets', 1 ) ) {

				 if ( get_theme_mod( 'brnhmbx_sh_UpperWidgetsFront', 1 ) ) {

					 if ( get_query_var( 'paged' ) <= 1 ) { ?>

						<div class="upper-widget-area">
							<div class="upper-widget-area-inner<?php if ( $brnhmbx_opt_Layout == '1col_sidebar' || $brnhmbx_opt_Layout == '2col_sidebar' ) { echo '-col2-sidebar'; } else if ( !get_theme_mod( 'brnhmbx_use3ColUpper', 0 ) ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_upper_widgets' ); ?></div>
						</div>

					<?php }

				} else { ?>

					<div class="upper-widget-area">
						<div class="upper-widget-area-inner<?php if ( $brnhmbx_opt_Layout == '1col_sidebar' || $brnhmbx_opt_Layout == '2col_sidebar' ) { echo '-col2-sidebar'; } else if ( !get_theme_mod( 'brnhmbx_use3ColUpper', 0 ) ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_upper_widgets' ); ?></div>
					</div>

				<?php }

			} ob_end_flush(); ?>

            <!-- wrapper -->
            <div class="wrapper clearfix">

            <?php

			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_1', 'above-full-slider' ) == 'below-upper-widgets' ) { if ( function_exists( 'metz_callLeaderboard_1' ) ) { metz_callLeaderboard_1(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_2', 'below-among-slider' ) == 'below-upper-widgets' ) { if ( function_exists( 'metz_callLeaderboard_2' ) ) { metz_callLeaderboard_2(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_3', 'below-blog-posts' ) == 'below-upper-widgets' ) { if ( function_exists( 'metz_callLeaderboard_3' ) ) { metz_callLeaderboard_3(); } }

			$brnhmbx_counter = 0;
			$brnhmbx_metz_text_HomepageCats = get_theme_mod( 'brnhmbx_metz_text_HomePosts', '' );

			/* Since v.1.6 - Hide the posts in the feed if "Show Blog Posts in Slider" option is chosen. - Optional */
			if ( get_theme_mod( 'brnhmbx_bptsExclude', '0' ) ) {

				$indexLoop_args = array(
					'post__not_in' =>  metz_excludePostsUsedInSlider(),
					'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1
				);

				if ( $brnhmbx_metz_text_HomepageCats && get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) != 'all' ) {

						$homepageCatIDs = explode( ',', esc_attr( $brnhmbx_metz_text_HomepageCats ) );

						if ( get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) == 'hidecats' ) {

							$indexLoop_shCats = array( 'category__not_in' => $homepageCatIDs );

						} else if ( get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) == 'showcats' ) {

							$indexLoop_shCats = array( 'cat' => $homepageCatIDs );

						}

						$indexLoop_final = array_merge( $indexLoop_args, $indexLoop_shCats );

					} else {

						$indexLoop_final = $indexLoop_args;

					}

				$indexPosts = new WP_Query( $indexLoop_final );

				// Pagination fix
				$temp_query = $wp_query;
				$wp_query   = NULL;
				$wp_query   = $indexPosts;

			} else {

				$indexLoop_args = array(
					'post_type' => 'post',
					'paged' => get_query_var( 'paged' ) ? get_query_var( 'paged' ) : 1
				);

				if ( $brnhmbx_metz_text_HomepageCats && get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) != 'all' ) {

					$homepageCatIDs = explode( ',', esc_attr( $brnhmbx_metz_text_HomepageCats ) );

					if ( get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) == 'hidecats' ) {

						$indexLoop_shCats = array( 'category__not_in' => $homepageCatIDs );

					} else if ( get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) == 'showcats' ) {

						$indexLoop_shCats = array( 'cat' => $homepageCatIDs );

					}

					$indexLoop_final = array_merge( $indexLoop_args, $indexLoop_shCats );

				} else {

					$indexLoop_final = $indexLoop_args;

				}

				$indexPosts = new WP_Query( $indexLoop_final );

				if ( $brnhmbx_metz_text_HomepageCats && get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) != 'all' ) {

					// Pagination fix
					$temp_query = $wp_query;
					$wp_query   = NULL;
					$wp_query   = $indexPosts;

				}

			}

			$brnhmbx_counter = 0;

			if ( $indexPosts->have_posts() ) :
				while ( $indexPosts->have_posts() ) : $indexPosts->the_post();

				if ( $brnhmbx_opt_Layout == '2col' || $brnhmbx_opt_Layout == '2col_sidebar' ) {

					// Open & close row in every 2 entries for 2 columns layout

					if ( $brnhmbx_counter % 2 == 0 ) { ?>

						<!-- row -->
						<div class="row-1-2 clearfix">

				<?php }

					get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;

					if ( $brnhmbx_counter % 2 == 0 || $brnhmbx_counter == $wp_query->post_count ) { ?>

						</div><!-- /row -->

				<?php }

				} else if ( $brnhmbx_opt_Layout == '1_2col_sidebar' ) {

					// Open & close row for the first entry and then in every 2 entries for 1 + 2 columns layout

					if ( $brnhmbx_counter == 0 ) { ?>

						<!-- row -->
						<div class="row-1-1-2 clearfix">

					<?php } else {

						if ( $brnhmbx_counter % 2 == 1 ) { ?>

							<!-- row -->
							<div class="row-1-2 clearfix">

					<?php }

					}

					get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;

					if ( $brnhmbx_counter == 1 || $brnhmbx_counter % 2 == 1 || $brnhmbx_counter == $wp_query->post_count ) { ?>

						</div><!-- /row -->

				<?php }

				} else if ( $brnhmbx_opt_Layout == '3col' ) {

					// Open & close row in every 3 entries for 3 columns layout

					if ( $brnhmbx_counter % 3 == 0 ) { ?>

						<!-- row -->
						<div class="row-1-3 clearfix">

				<?php }

					get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;

					if ( $brnhmbx_counter % 3 == 0 || $brnhmbx_counter == $wp_query->post_count ) { ?>

						</div><!-- /row -->

				<?php }

				} else if ( $brnhmbx_opt_Layout == '2_3col' ) {

					// Open & close row for the first 2 entries and then in every 3 entries for 3 columns layout

					if ( $brnhmbx_counter == 0 ) { ?>

						<!-- row -->
						<div class="row-2-3 clearfix">

					<?php } else {

					if ( $brnhmbx_counter % 3 == 2 ) { ?>

						<!-- row -->
						<div class="row-1-3 clearfix">

				<?php }

					}

					get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;

					if ( $brnhmbx_counter == 2 || $brnhmbx_counter % 3 == 2 || $brnhmbx_counter == $wp_query->post_count ) { ?>

						</div><!-- /row -->

				<?php }

				} else {

					get_template_part( 'content', get_post_format() );
					$brnhmbx_counter += 1;

				}

				endwhile;

			else :

				echo '<div class="clearfix zig-zag mb20"><div class="playfair fs22 nothing-found">' . esc_attr( $brnhmbx_tra_Nothing ) . '.</div></div>';

			endif;

			wp_reset_postdata();

			?>

            </div><!-- /wrapper -->

            <?php

			metz_Pagination();

			if ( get_theme_mod( 'brnhmbx_bptsExclude', '0' ) || ( $brnhmbx_metz_text_HomepageCats && get_theme_mod( 'brnhmbx_metz_opt_HomePosts', 'all' ) != 'all' ) ) {

				// Reset main query object
				$wp_query = NULL;
				$wp_query = $temp_query;

			}

			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_1', 'above-full-slider' ) == 'below-blog-posts' ) { if ( function_exists( 'metz_callLeaderboard_1' ) ) { metz_callLeaderboard_1(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_2', 'below-among-slider' ) == 'below-blog-posts' ) { if ( function_exists( 'metz_callLeaderboard_2' ) ) { metz_callLeaderboard_2(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_3', 'below-blog-posts' ) == 'below-blog-posts' ) { if ( function_exists( 'metz_callLeaderboard_3' ) ) { metz_callLeaderboard_3(); } }

			ob_start( 'metz_compress' );

			if ( is_active_sidebar( 'brnhmbx_home_widgets' ) && get_theme_mod( 'brnhmbx_sh_HomeWidgets', 1 ) ) {

				 if ( get_theme_mod( 'brnhmbx_sh_HomeWidgetsFront', 1 ) ) {

					 if ( get_query_var( 'paged' ) <= 1 ) { ?>

						<div class="home-widget-area">
							<div class="home-widget-area-inner<?php if ( $brnhmbx_opt_Layout == '1col_sidebar' || $brnhmbx_opt_Layout == '2col_sidebar' || $brnhmbx_opt_Layout == '1_2col_sidebar' ) { echo '-col2-sidebar'; } else if ( !get_theme_mod( 'brnhmbx_use3ColHome', 0 ) ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_home_widgets' ); ?></div>
						</div>

					<?php }

				} else { ?>

					<div class="home-widget-area">
						<div class="home-widget-area-inner<?php if ( $brnhmbx_opt_Layout == '1col_sidebar' || $brnhmbx_opt_Layout == '2col_sidebar' || $brnhmbx_opt_Layout == '1_2col_sidebar' ) { echo '-col2-sidebar'; } else if ( !get_theme_mod( 'brnhmbx_use3ColHome', 0 ) ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_home_widgets' ); ?></div>
					</div>

				<?php }

			} ob_end_flush();

			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_1', 'above-full-slider' ) == 'below-home-widgets' ) { if ( function_exists( 'metz_callLeaderboard_1' ) ) { metz_callLeaderboard_1(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_2', 'below-among-slider' ) == 'below-home-widgets' ) { if ( function_exists( 'metz_callLeaderboard_2' ) ) { metz_callLeaderboard_2(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_3', 'below-blog-posts' ) == 'below-home-widgets' ) { if ( function_exists( 'metz_callLeaderboard_3' ) ) { metz_callLeaderboard_3(); } }

			?>

        </div><!-- /site-content -->

        <!-- sidebar -->

        <?php

            if ( $brnhmbx_opt_Layout == '1col_sidebar' || $brnhmbx_opt_Layout == '2col_sidebar' || $brnhmbx_opt_Layout == '1_2col_sidebar' ) {

                get_sidebar();

            }

        ?>

        <!-- /sidebar -->

    </div><!-- /main-container -->
</div><!-- main-container-outer -->

<?php get_footer(); ?>
