<div class="site-logo-outer">
    <header class="site-logo-container">

    	<?php

        // If a logo image is uploaded
        if ( get_theme_mod( 'brnhmbx_upload_Logo' ) ) { ?>

            <a href="<?php echo home_url(); ?>"><?php

				// If the retina version is uploaded
				if ( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ) {

					list( $brnhmbx_logoRetinaWidth, $brnhmbx_logoRetinaHeight ) = getimagesize( esc_url( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ) );

					if ( function_exists( 'is_woocommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() || is_account_page() ) ) { ?>

						<div style="width: <?php echo esc_attr( $brnhmbx_logoRetinaWidth/2 ); ?>px;"><img alt="theme-logo-alt" src="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ); ?>" style="width: <?php echo esc_attr( $brnhmbx_logoRetinaWidth/2 ); ?>px;" /></div>

				<?php } else { ?>

						<img alt="theme-logo-alt" src="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_LogoRetina' ) ); ?>" style="width: <?php echo esc_attr( $brnhmbx_logoRetinaWidth/2 ); ?>px;" />

					<?php }

				} else {

					if ( function_exists( 'is_woocommerce' ) && ( is_woocommerce() || is_cart() || is_checkout() || is_account_page() ) ) {

						list( $brnhmbx_logoWidth, $brnhmbx_logoHeight ) = getimagesize( esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) ) ); ?>

                    	<div style="width: <?php echo esc_attr( $brnhmbx_logoWidth ); ?>px;"><img alt="theme-logo-alt" src="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) ); ?>" /></div>

					<?php } else { ?>

						<img alt="theme-logo-alt" src="<?php echo esc_url( get_theme_mod( 'brnhmbx_upload_Logo' ) ); ?>" />

				<?php } } ?>

            </a>

        <?php } else { // Use logo text ?>

            <h1 class="logo-text"><a href="<?php echo home_url(); ?>"><span class="montserrat fs30"><?php

            if ( get_theme_mod( 'brnhmbx_useFAIcon ', 'fa-diamond') != '' ) { ?>

                <i class="fa <?php echo esc_attr( get_theme_mod( 'brnhmbx_useFAIcon', 'fa-diamond' ) ); ?>"></i> <?php } ?><?php if ( get_theme_mod( 'brnhmbx_text_Logo' ) != '' ) { echo esc_attr( get_theme_mod( 'brnhmbx_text_Logo' ) ); } else { bloginfo( 'name' ); } ?></span></a></h1>

        <?php } ?>

    </header>
</div>
