<?php

/* Checkbox Default Values */
$brnhmbx_sh_TagBar = get_theme_mod( 'brnhmbx_sh_TagBar', 1 );
$brnhmbx_sh_TagBar_Home = get_theme_mod( 'brnhmbx_sh_TagBar_Home', 1 );
$brnhmbx_sh_CategoryBar = get_theme_mod( 'brnhmbx_sh_CategoryBar', 1 );
$brnhmbx_sh_CategoryBar_Home = get_theme_mod( 'brnhmbx_sh_CategoryBar_Home', 1 );
/* */

if ( function_exists( 'metz_shortcode_share' ) ) { echo do_shortcode( '[metz_share ID=' . get_the_ID() . ']' ); }

if ( $brnhmbx_sh_CategoryBar || $brnhmbx_sh_TagBar || $brnhmbx_sh_CategoryBar_Home || $brnhmbx_sh_TagBar_Home ) {

	$defaults_wplp = array(
		'before'           => '<div class="paging-bar montserrat fs11">' . esc_attr( get_theme_mod( 'brnhmbx_tra_Page', 'PAGE' ) ) . ' &nbsp;&nbsp; ',
		'after'            => '</div>',
		'separator'        => ' &nbsp;&nbsp;/&nbsp;&nbsp; '
	);

	wp_link_pages( $defaults_wplp );

	if ( is_single() ) {

		$brnhmbx_check_CB = $brnhmbx_sh_CategoryBar;
		$brnhmbx_check_TB = $brnhmbx_sh_TagBar;

	} else {

		$brnhmbx_check_CB = $brnhmbx_sh_CategoryBar_Home;
		$brnhmbx_check_TB = $brnhmbx_sh_TagBar_Home;

	}

	if ( !is_page() && get_the_category() && $brnhmbx_check_CB ) { ?>

		<div class="category-bar montserrat fs11"><i class="fa fa-folder-open-o i-spcr-r2 tagicon"></i>

		<?php

		$brnhmbx_categories = get_the_category();
		$brnhmbx_separator = ' ';
		$brnhmbx_output = '';

		if ( $brnhmbx_categories ) {

			foreach( $brnhmbx_categories as $brnhmbx_category ) {

				$brnhmbx_output .= '<a href="' . get_category_link( $brnhmbx_category->term_id ) . '">' . esc_attr( $brnhmbx_category->cat_name ) . '</a>' . esc_html( $brnhmbx_separator );

			}

			echo trim( $brnhmbx_output, $brnhmbx_separator );

		}

		?>

		</div>

	<?php }

	if ( !is_page() && $brnhmbx_check_TB ) {

		the_tags( '<div class="tag-bar montserrat fs11"><i class="fa fa-tag i-spcr-r3 tagicon"></i> ', ' ', '</div>' );

	}

	if ( !is_page() && is_single() && ( $brnhmbx_check_CB || $brnhmbx_check_TB ) ) { ?>

		<div class="social-bottom-spcr"></div>

	<?php }

} ?>
