<?php

/* Translation */
$brnhmbx_tra_By = esc_html__( 'by', 'metz' );

if ( get_theme_mod( 'metz_ignorePot', 1 ) ) {

$brnhmbx_tra_By = get_theme_mod( 'brnhmbx_tra_By', 'by' );

}
/* */

/* Checkbox Default Values */
$brnhmbx_sh_Author = get_theme_mod( 'brnhmbx_sh_Author', 1 );
/* */

$brnhmbx_minHeight_styleA = get_theme_mod( 'brnhmbx_minHeight_styleA', 0 );
$brnhmbx_minHeight_styleDefault = get_theme_mod( 'brnhmbx_minHeight_styleDefault', 0 );

?>

<div<?php if ( !is_single() ) { echo ' class="clearfix ' . metz_applyColumns() . '"'; } ?>>

    <div <?php post_class(); ?>>

        <article class="post post-link zig-zag clearfix">

            <div class="article-outer<?php echo metz_applyLayout(); ?>">
                <div class="article-inner" <?php if ( !is_single() ) { if ( metz_checkStyle_A() ) { if ( $brnhmbx_minHeight_styleA ) { echo 'style="min-height: ' . esc_attr( $brnhmbx_minHeight_styleA ) . 'px;"'; } } else if ( !metz_checkStyle_B() && $brnhmbx_minHeight_styleDefault ) { echo 'style="min-height: ' . esc_attr( $brnhmbx_minHeight_styleDefault ) . 'px;"'; } } ?>>

                    <div class="article-container clearfix">

                        <?php if ( !is_single() && !metz_checkStyle_B() ) { get_template_part( 'datebar' ); }

						if ( metz_checkStyle_B() ) { ?>

                            <div class="post-styleB">
                                <a href=<?php echo '"' . esc_url( get_the_content() ) . '" target="_blank"'; ?>>
                                    <div class="post-styleB-inner clearfix">
                                        <div class="post-styleB-info">
                                            <div class="table-cell-middle"><span class="fs22 playfair"><?php the_title(); ?></span></div>
                                        </div>
                                    </div>
                                </a>
                            </div>

                        <?php }

						if ( is_single() ) {

							if ( get_the_title() ) {

								echo '<h1 class="';
								if ( is_single() ) { echo 'fs85'; } else { if ( metz_checkStyle_B() ) { echo 'fs22'; } else { echo 'fs40'; } }
								echo ' playfair chief-hdr"><a href="' . esc_url( get_the_content() ) . '" target="_blank">' . get_the_title() . '</a></h1>';

							}

							if ( $brnhmbx_sh_Author ) {

								echo get_avatar( get_the_author_meta( 'ID' ), 40 ); ?>

								<div class="playfair fs16 author-bar author-txt<?php echo metz_applyLayout(); ?>"><?php echo '<em>' . esc_attr( $brnhmbx_tra_By ). '</em>' ?> <a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>"><?php the_author(); ?></a></div>

						<?php }

						} ?>

						<div class="<?php if ( !is_single() ) { echo 'fea-image-home'; } else { echo 'fea-image'; } ?>"></div>

                        <?php

						if ( is_sticky() && is_home() && !is_paged() ) {

							echo '<div class="sticky-icon"><i class="fa fa-bookmark-o"></i></div>';

						}

						if ( !is_single() && !metz_checkStyle_B() ) {

							if ( get_the_title() ) {

								echo '<h1 class="';
								if ( is_single() ) { echo 'fs85'; } else { if ( metz_checkStyle_B() ) { echo 'fs22'; } else { echo 'fs40'; } }
								echo ' playfair chief-hdr"><a href="' . esc_url( get_the_content() ) . '" target="_blank">' . get_the_title() . '</a></h1>';

							}

						}

						if ( is_single() ) { get_template_part( 'datebar' ); } ?>

                    </div>

                    <?php if ( !metz_checkStyle_B() ) { get_template_part( 'socialbar' ); } ?>

                </div>
            </div>
        </article>

	</div>

</div>
