        <?php

		/* Translation */
		$brnhmbx_tra_BackToTop = esc_html__( 'BACK TO TOP', 'metz' );

		if ( get_theme_mod( 'metz_ignorePot', 1 ) ) {

			$brnhmbx_tra_BackToTop = get_theme_mod( 'brnhmbx_tra_BackToTop', 'BACK TO TOP' );

		}
		/* */

		?>

        <!-- footer-outer -->
        <div class="footer-outer clearfix">
            <!-- footer-container -->
            <div class="footer-container">

                <footer class="site-footer clearfix">

                	<?php if ( is_active_sidebar( 'brnhmbx_footer_widgets' ) || get_theme_mod( 'brnhmbx_sh_btnToTop', 1 ) ) { ?>

                        <div class="footer-box">

                            <?php if ( is_active_sidebar( 'brnhmbx_footer_widgets' ) ) {

								ob_start( 'metz_compress' ); ?>

                                <div class="footer-widget-area">
                                    <div class="footer-widget-area-inner<?php if ( !get_theme_mod( 'brnhmbx_use3ColFooter', 1 ) ) { echo '-col2'; } ?> clearfix"><?php dynamic_sidebar( 'brnhmbx_footer_widgets' ); ?></div>
                                </div>

                            <?php ob_end_flush(); } ?>

<?php if ( get_theme_mod( 'brnhmbx_sh_btnToTop', 1 ) ) { ?><div class="btn-to-top montserrat fs11 bButton<?php if ( is_active_sidebar( 'brnhmbx_footer_widgets' ) ) { echo ' mt40'; } ?>"><a href="#" class="a-top"><?php echo esc_attr( $brnhmbx_tra_BackToTop ); ?> <i class="fa fa-angle-up i-spcr-l"></i></a></div><?php } ?>

                        </div>

                    <?php } else { echo '<div class="mt20"></div>'; } ?>

                    <div class="montserrat fs11 footer-text"><?php echo esc_attr( get_theme_mod( 'brnhmbx_text_Footer', '2019 METZ. ALL RIGHTS RESERVED.' ) ); ?></div>
                    <div class="clearfix footer-menu-outer">

                        <?php if ( get_theme_mod( 'brnhmbx_sh_FooterSocial', 1 ) ) { ?>

                        <div id="footer-social" class="montserrat fs11">
                       		<div class="social-accounts-footer"><?php echo metz_placeSocialIcons(); ?></div>
                        </div>

						<?php } ?>

                        <?php if ( get_theme_mod( 'brnhmbx_sh_FooterMenu', 1 ) ) {

							$args_footer = array(
								'theme_location' => 'footer_menu',
								'container_class' => 'footer-nav montserrat fs11',
								'menu_id'         => 'footer-menu',
								'depth'		   => '-1',
								'fallback_cb' => false
							);

							wp_nav_menu( $args_footer );

						} ?>

                    </div>

                </footer>

            </div><!-- /footer-container -->
        </div><!-- /footer-outer -->

	</div><!-- /site-container-inner -->
</div><!-- /site-container -->

<div class="hiddenInfo">
  <span id="mapInfo_Zoom"><?php echo esc_attr( get_theme_mod( 'brnhmbx_rng_MapZoom', 15 ) ); ?></span>
  <span id="mapInfo_coorN"><?php echo esc_attr( get_theme_mod( 'brnhmbx_coorN', '49.0138' ) ); ?></span>
  <span id="mapInfo_coorE"><?php echo esc_attr( get_theme_mod( 'brnhmbx_coorE', '8.38624' ) ); ?></span>
  <span id="bxInfo_Controls"><?php echo esc_attr( get_theme_mod( 'brnhmbx_opt_bxControls', 'arrow' ) ); ?></span>
  <span id="bxInfo_Auto"><?php echo esc_attr( get_theme_mod( 'brnhmbx_bxAuto', 0 ) ); ?></span>
  <span id="bxInfo_Controls_Main"><?php echo esc_attr( get_theme_mod( 'brnhmbx_opt_bxControls_Main', 'arrow' ) ); ?></span>
  <span id="bxInfo_Auto_Main"><?php echo esc_attr( get_theme_mod( 'brnhmbx_bxAuto_Main', 0 ) ); ?></span>
  <span id="bxInfo_Pause"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderPause', 4000 ) ); ?></span>
  <span id="bxInfo_Infinite"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderInfinite', 1 ) ); ?></span>
  <span id="bxInfo_Random"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderRandom', 0 ) ); ?></span>
  <span id="bxInfo_Mode"><?php echo esc_attr( get_theme_mod( 'brnhmbx_sliderMode', 'horizontal' ) ); ?></span>
  <span id="siteUrl"><?php echo esc_attr( get_site_url() ); ?></span>
  <span id="trigger-sticky-value"><?php echo esc_attr( get_theme_mod( 'brnhmbx_triggerSticky', '300' ) ); ?></span>
  <span id="slicknav_apl"><?php echo esc_attr( get_theme_mod( 'metz_slicknav_apl', 1 ) ); ?></span>
</div>

<?php wp_footer(); ?>
</body>
</html>
