jQuery(document).ready( function( $ ) {

	"use strict";

	// Scroll to top
	$('.btn-to-top').on( 'click', function() {

		$('html, body').animate( { scrollTop: 0 }, 500 );
		return false;

	} );

	// Fitvids
	$('.bxslider-vid').fitVids();

	// Added to avoid iframe confuse on Chrome, Safari and Opera
	$('iframe').each( function() {

        this.src = this.src;

    } );

	// WP Search box focus
	var brnhmbx_searchDefaultVal = $('#s').val();

	$('.search-box').on( 'focus', function() {

		if ( $(this).val() == brnhmbx_searchDefaultVal ) {

			$(this).val('');

		}

	} );

	$('.search-box').on( 'focusout', function() {

		if ( $(this).val() == '' ) {

			$(this).val(brnhmbx_searchDefaultVal);

		}

	} );

	// Custom Search box focus
	var brnhmbx_searchDefaultVal_custom = $('#s_custom').val();

	$('.search-widget-input').on( 'focus', function() {

		if ( $(this).val() == brnhmbx_searchDefaultVal_custom ) {

			$(this).val('');

		}

	} );

	$('.search-widget-input').on( 'focusout', function() {

		if ( $(this).val() == '' ) {

			$(this).val(brnhmbx_searchDefaultVal_custom);

		}

	} );

	$('.search-widget-s-icon').on( 'click', function() {

		window.location = $('#siteUrl').html() + '/?s=' + $(this).parent().find('.search-widget-input').val();

	} );

	$('.search-widget-s-pro-icon').on( 'click', function() {

		window.location = $('#siteUrl').html() + '/?s=' + $(this).parent().find('.search-widget-input').val() + '&post_type=product';

	} );

	// Apply Slicknav
	var slicknav_apl = true;
	var slicknav_apl_check = Number( $( '#slicknav_apl' ).html() );
	if ( !slicknav_apl_check ) { slicknav_apl = false; }

	$('#site-menu').slicknav( {

		label: '',
		prependTo: '#touch-menu',
		allowParentLinks: slicknav_apl,
		closedSymbol: '<i class="fa fa-angle-right" style="font-size: 18px;"></i>',
		openedSymbol: '<i class="fa fa-angle-down" style="font-size: 18px;"></i>',
		init: metz_appendSocialIcons,
		open: metz_showSocialIcons

	} );

	// Append social icons to Slicknav
	function metz_appendSocialIcons() {

		$('#touch-menu .slicknav_menu').addClass( 'fs16 playfair' );

		if ( $('.social-accounts').html() != 'undefined' && $('.social-accounts').html() != undefined && $('.social-accounts').html() != '' ) {

			$('#touch-menu .slicknav_menu').append( '<div class="social-accounts-touch">' + $('.social-accounts').html() + '</div>' );
			$('.social-accounts-touch').hide();

		}

	}

	$('.slicknav_btn').on( 'click', function() {

		$('.social-accounts-touch').hide();

	} );

	function metz_showSocialIcons() {

		$('.social-accounts-touch').show();

	}

	// Sticky menu trigger
	$( window ).on( 'scroll', function() {

		if ( $(this).scrollTop() > $('#trigger-sticky-value').html() ) {

			$('#sticky-menu-container').addClass( 'menu-sticky' );

		} else {

			$('#sticky-menu-container').removeClass( 'menu-sticky' );

		}

	} );

	//Set "Style A" box heights without image
	var styleA_boxes = $('.box-a-wi');

	function metz_setA_boxes() {

		jQuery.each( styleA_boxes, function( index, element ) {

			styleA_boxes.eq(index).find('.rp-a-without-image').css('height', $(element).find('.rpih-inner-a').height() + 40 );
			styleA_boxes.eq(index).find('.rp-a-without-image.w-i-b').css('height', $(element).find('.rpih-inner-a').height() + 80 );

		} )

	}

	metz_setA_boxes();

	/* */

	$( window ).on( 'resize', metz_setA_boxes );

	/* */

} );
