<?php get_header();

	/* Checkbox Default Values */
	$brnhmbx_sh_SidebarInnerPage = get_theme_mod( 'brnhmbx_sh_SidebarInnerPage', 1 );
	$brnhmbx_sh_PageComments = get_theme_mod( 'brnhmbx_sh_PageComments', 1 );
	$brnhmbx_sh_SocialBar_Page = get_theme_mod( 'brnhmbx_sh_SocialBar_Page', 1 );
	/* */

	/* Translation */
	$brnhmbx_tra_Nothing = esc_html__( 'NOTHING FOUND', 'metz' );

	if ( get_theme_mod( 'metz_ignorePot', 1 ) ) {

	$brnhmbx_tra_Nothing = get_theme_mod( 'brnhmbx_tra_Nothing', 'NOTHING FOUND' );

	}
	/* */

		if ( have_posts() ) :
			while ( have_posts() ) : the_post(); ?>

			<div>

				<article class="post post-page zig-zag clearfix">

					<div class="clearfix">

						<?php if ( get_theme_mod( 'brnhmbx_sh_Map', 0 ) && get_theme_mod( 'brnhmbx_mapPage' ) == get_the_ID() ) { ?>

                            <div id="googleMap"></div>

                        <?php } else { ?>

                            <div class="image-widget-wrapper">

                                 <?php the_post_thumbnail(); ?>

                            </div>

                        <?php } ?>

					</div>

					<div class="clearfix article-outer<?php echo metz_applyLayout(); ?>">
						<div class="article-inner">
							<div class="article-container clearfix">

                            	<div class="fs40 playfair page-with-no-image"><?php the_title(); ?></div>
								<div class="fs14 arial the-content"><?php the_content(); ?></div>

							</div>

							<?php

							if( function_exists( 'is_cart' ) ) {

								if ( !is_cart() && !is_checkout() && !is_account_page() ) { if ( $brnhmbx_sh_SocialBar_Page ) { get_template_part( 'socialbar' ); } }

							} else {

								if ( $brnhmbx_sh_SocialBar_Page ) { get_template_part( 'socialbar' ); }

							}

							?>

						</div>
					</div>
				</article>

			</div>

            <?php

			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_1', 'above-full-slider' ) == 'below-page' ) { if ( function_exists( 'metz_callLeaderboard_1' ) ) { metz_callLeaderboard_1(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_2', 'below-among-slider' ) == 'below-page' ) { if ( function_exists( 'metz_callLeaderboard_2' ) ) { metz_callLeaderboard_2(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_3', 'below-blog-posts' ) == 'below-page' ) { if ( function_exists( 'metz_callLeaderboard_3' ) ) { metz_callLeaderboard_3(); } }

			?>

            <?php if ( $brnhmbx_sh_PageComments ) {

				comments_template();

			} ?>

            <?php

			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_1', 'above-full-slider' ) == 'below-page-comments' ) { if ( function_exists( 'metz_callLeaderboard_1' ) ) { metz_callLeaderboard_1(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_2', 'below-among-slider' ) == 'below-page-comments' ) { if ( function_exists( 'metz_callLeaderboard_2' ) ) { metz_callLeaderboard_2(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_3', 'below-blog-posts' ) == 'below-page-comments' ) { if ( function_exists( 'metz_callLeaderboard_3' ) ) { metz_callLeaderboard_3(); } }

			?>

        </div><!-- /site-content -->

        <!-- sidebar -->

        <?php

			if ( function_exists( 'WC' ) && ( is_cart() || is_checkout() || is_account_page() ) ) {

				// Hide Sidebar on WooCommerce Pages

			} else {

				if ( $brnhmbx_sh_SidebarInnerPage ) {

					if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Page' ) ) {

						echo '<div class="sidebar clearfix">';
							dynamic_sidebar( 'brnhmbx_sidebar_page' );
						echo '</div>';

					} else {

						get_sidebar();

					}

				}

			}

        ?>

        <!-- /sidebar -->

    </div><!-- /main-container -->
</div><!-- main-container-outer -->

<?php endwhile;

	else :

		echo '<div class="clearfix zig-zag mb20"><div class="playfair fs22 nothing-found">' . esc_attr( $brnhmbx_tra_Nothing ) . '.</div></div>';

	endif;

get_footer(); ?>
