<?php get_header();

		/* Translation */
		$brnhmbx_tra_NextPost = esc_html__( 'NEXT', 'metz' );
		$brnhmbx_tra_PrevPost = esc_html__( 'PREVIOUS', 'metz' );
		$brnhmbx_tra_Nothing = esc_html__( 'NOTHING FOUND', 'metz' );

		if ( get_theme_mod( 'metz_ignorePot', 1 ) ) {

		$brnhmbx_tra_NextPost = get_theme_mod( 'brnhmbx_tra_NextPost', 'NEXT' );
		$brnhmbx_tra_PrevPost = get_theme_mod( 'brnhmbx_tra_PrevPost', 'PREVIOUS' );
		$brnhmbx_tra_Nothing = get_theme_mod( 'brnhmbx_tra_Nothing', 'NOTHING FOUND' );

		}
		/* */

		/* Checkbox Default Values */
		$brnhmbx_sh_RelatedPosts = get_theme_mod( 'brnhmbx_sh_RelatedPosts', 1 );
		$brnhmbx_sh_PostComments = get_theme_mod( 'brnhmbx_sh_PostComments', 1 );
		$brnhmbx_sh_SidebarPost_Standard = get_theme_mod( 'brnhmbx_sh_SidebarPost_Standard', 1 );
		$brnhmbx_sh_SidebarPost_Gallery = get_theme_mod( 'brnhmbx_sh_SidebarPost_Gallery', 1 );
		$brnhmbx_sh_SidebarPost_Video = get_theme_mod( 'brnhmbx_sh_SidebarPost_Video', 1 );
		/* */

		/* Radio Default Values */
		$brnhmbx_opt_RPStyle = get_theme_mod( 'brnhmbx_opt_RPStyle', 'b' );
		$brnhmbx_metz_opt_RPBase = get_theme_mod( 'brnhmbx_metz_opt_RPBase', 'tag' );
		/* */

		if ( have_posts() ) :
			while ( have_posts() ) : the_post();

			if ( function_exists( 'metz_setPostViews' ) ) { metz_setPostViews( get_the_ID() ); }

			get_template_part( 'content', get_post_format() );

			endwhile;

			else :

				echo '<div class="clearfix zig-zag mb20"><div class="playfair fs22 nothing-found">' . esc_attr( $brnhmbx_tra_Nothing ) . '.</div></div>';

			endif;

			?>

            <?php if ( get_theme_mod( 'brnhmbx_metz_sh_AuthorBox', 0 ) ) { echo metz_author_box(); } ?>

            <div class="page-navi clearfix">

            	<?php

				$next_post = get_adjacent_post( false, '', false );
				$prev_post = get_adjacent_post( false, '', true );

				if( !empty( $prev_post ) ) { ?>

                    <div class="page-navi-prev">
                        <a href="<?php echo get_permalink( $prev_post->ID ); ?>">
                            <div class="page-navi-btn clearfix">
                                <?php if ( has_post_thumbnail( $prev_post->ID ) ) { ?><div class="page-navi-prev-img"><?php echo get_the_post_thumbnail( $prev_post->ID, 'page-navigation-thumbnail' ); ?></div><?php } ?>
                                <div class="page-navi-prev-info">
                                    <div class="table-cell-middle"><span class="fs11 montserrat page-navi-btn-tra"><?php echo esc_attr( $brnhmbx_tra_PrevPost ); ?></span><span class="fs16 playfair"><?php echo get_the_title( $prev_post->ID ); ?></span></div>
                                </div>
                            </div>
                        </a>
                    </div>

                <?php }

				if( !empty( $next_post ) ) { ?>

                    <div class="page-navi-next">
                        <a href="<?php echo get_permalink( $next_post->ID ); ?>">
                            <div class="page-navi-btn clearfix">
                                <?php if ( has_post_thumbnail( $next_post->ID ) ) { ?><div class="page-navi-next-img"><?php echo get_the_post_thumbnail( $next_post->ID, 'page-navigation-thumbnail' ); ?></div><?php } ?>
                                <div class="page-navi-next-info">
                                    <div class="table-cell-middle"><span class="fs11 montserrat page-navi-btn-tra"><?php echo esc_attr( $brnhmbx_tra_NextPost ); ?></span><span class="fs16 playfair"><?php echo get_the_title( $next_post->ID ); ?></span></div>
                                </div>
                            </div>
                        </a>
                    </div>

                 <?php } ?>

            </div>

            <?php

			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_1', 'above-full-slider' ) == 'below-post' ) { if ( function_exists( 'metz_callLeaderboard_1' ) ) { metz_callLeaderboard_1(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_2', 'below-among-slider' ) == 'below-post' ) { if ( function_exists( 'metz_callLeaderboard_2' ) ) { metz_callLeaderboard_2(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_3', 'below-blog-posts' ) == 'below-post' ) { if ( function_exists( 'metz_callLeaderboard_3' ) ) { metz_callLeaderboard_3(); } }

			?>

			<?php

				$brnhmbx_orig_post = $post;
				global $post;
				$brnhmbx_metz_tags = wp_get_post_tags( $post->ID );
				$brnhmbx_metz_cats = wp_get_post_categories( $post->ID );

				if ( $brnhmbx_metz_opt_RPBase == 'tag' ) { $brnhmbx_metz_RPBaseTermIDs = $brnhmbx_metz_tags; } else if ( $brnhmbx_metz_opt_RPBase == 'category' ) { $brnhmbx_metz_RPBaseTermIDs = $brnhmbx_metz_cats; }

				if ( $brnhmbx_metz_RPBaseTermIDs ) {

					if ( $brnhmbx_metz_opt_RPBase == 'tag' ) {

						$brnhmbx_metz_tag_ids = array();
						foreach ( $brnhmbx_metz_tags as $brnhmbx_metz_individual_tag ) { $brnhmbx_metz_tag_ids[] = $brnhmbx_metz_individual_tag->term_id; }

						$args = array(
							'tag__in' => $brnhmbx_metz_tag_ids,
							'post__not_in' => array( $post->ID ),
							'posts_per_page' => 3, // Number of related posts to display.
							'ignore_sticky_posts' => 1

						);

					} else if ( $brnhmbx_metz_opt_RPBase == 'category' ) {

						$brnhmbx_metz_cat_ids = array();
						foreach ( $brnhmbx_metz_cats as $brnhmbx_metz_individual_cat ) { $cat = get_category( $brnhmbx_metz_individual_cat ); $brnhmbx_metz_cat_ids[] = $cat->term_id; }

						$args = array(
							'category__in' => $brnhmbx_metz_cat_ids,
							'post__not_in' => array( $post->ID ),
							'posts_per_page' => 3, // Number of related posts to display.
							'ignore_sticky_posts' => 1

						);

					}

					$brnhmbx_my_query = new wp_query( $args );

					if ( $brnhmbx_sh_RelatedPosts && $brnhmbx_my_query->have_posts() ) { ?>

						<!-- related-posts-container -->
						<div class="related-posts-container clearfix">
							<!-- related-posts-outer -->
							<div class="clearfix related-posts-outer<?php echo metz_applyLayout(); ?>">
								<!-- related-posts -->
								<div class="related-posts clearfix">

									<!-- related-posts-row -->
									<div class="related-posts-row<?php echo metz_applyLayout(); ?>">
										<?php

										while( $brnhmbx_my_query->have_posts() ) {
											$brnhmbx_my_query->the_post();

										?>

										<div class="box-a-wi clearfix related-post-item<?php echo metz_applyLayout(); ?>">

											<a href="<?php esc_url( the_permalink() ); ?>">

                                                <?php if ( has_post_thumbnail() ) { ?>

                                                	<div><?php the_post_thumbnail( 'related-thumbnail' ); ?></div>

                                                <?php } else if ( $brnhmbx_opt_RPStyle == 'a' ) { ?>

                                                	<div class="rp-a-without-image"></div>

                                                <?php } ?>

												<div class="related-post-item-header-<?php echo esc_attr( $brnhmbx_opt_RPStyle ); ?> fs16 playfair"><div class="rpih-inner-<?php echo esc_attr( $brnhmbx_opt_RPStyle ); ?>"><div class="rpih-text-<?php echo esc_attr( $brnhmbx_opt_RPStyle ); ?>"><?php the_title(); ?></div></div></div>
											</a>

										</div>

										<?php }

										$post = $brnhmbx_orig_post;
										wp_reset_postdata();

										?>
									</div><!-- /related-posts-row -->

								</div><!-- /related-posts -->
							</div><!-- /related-posts-outer -->
						</div><!-- /related-posts-container -->

					<?php }

				}

			if ( $brnhmbx_sh_PostComments ) {

				comments_template();

			} ?>

            <?php

			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_1', 'above-full-slider' ) == 'below-post-comments' ) { if ( function_exists( 'metz_callLeaderboard_1' ) ) { metz_callLeaderboard_1(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_2', 'below-among-slider' ) == 'below-post-comments' ) { if ( function_exists( 'metz_callLeaderboard_2' ) ) { metz_callLeaderboard_2(); } }
			if ( get_theme_mod( 'brnhmbx_opt_BannerPos_3', 'below-blog-posts' ) == 'below-post-comments' ) { if ( function_exists( 'metz_callLeaderboard_3' ) ) { metz_callLeaderboard_3(); } }

			?>

		</div><!-- /site-content -->

		<!-- sidebar -->

		<?php

			if ( ( get_post_format() == '' || get_post_format() == 'aside' || get_post_format() == 'link' ) && $brnhmbx_sh_SidebarPost_Standard ) {

				if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Post' ) ) {

					echo '<div class="sidebar clearfix">';
						dynamic_sidebar( 'brnhmbx_sidebar_post' );
					echo '</div>';

				} else {

					get_sidebar();

				}

			} else if ( get_post_format() == 'gallery' && $brnhmbx_sh_SidebarPost_Gallery ) {

				if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Post' ) ) {

					echo '<div class="sidebar clearfix">';
						dynamic_sidebar( 'brnhmbx_sidebar_post' );
					echo '</div>';

				} else {

					get_sidebar();

				}

			} else if ( get_post_format() == 'video' && $brnhmbx_sh_SidebarPost_Video ) {

				if ( get_theme_mod( 'brnhmbx_ExtraSidebar_Post' ) ) {

					echo '<div class="sidebar clearfix">';
						dynamic_sidebar( 'brnhmbx_sidebar_post' );
					echo '</div>';

				} else {

					get_sidebar();

				}

			}

		?>

		<!-- /sidebar -->

	</div><!-- /main-container -->
</div><!-- main-container-outer -->

<?php get_footer(); ?>
